package spider;

import com.mingxue.spider.utils.UsignUtils;
import jdk.nashorn.api.scripting.NashornScriptEngine;
import jdk.nashorn.api.scripting.NashornScriptEngineFactory;
import java.io.FileReader;
import java.util.HashMap;
import java.util.Map;

/**
 * Hello world!
 *
 */
public class TestUsign {
	public static void main(String[] args) {
		/* 1.首先引入js引擎 */
//		ScriptEngineManager manager = new ScriptEngineManager();
		//引擎名称传入JavaScript、js、javascript、nashorn、Nashorn 均可等价
//		ScriptEngine engine = manager.getEngineByName("nashorn");

		String[] options = new String[] {"--language=es6"};
		NashornScriptEngineFactory factory = new NashornScriptEngineFactory();
		NashornScriptEngine engine = (NashornScriptEngine) factory.getScriptEngine(options);

		try {
			/* 2.然后读取js文件 */
			String path = Thread.currentThread().getContextClassLoader().getResource("").getPath(); // 获取targe路径

			String requestPath = "/youzy.dms.basiclib.api.career.job.hits.inc";
			String jobCode="02030502";
			String params =requestPath+"?jobCode="+jobCode;
			engine.eval(new FileReader(path + "js/usign.js"));
//			Object o = engine.eval("u_sign('/youzy.dms.basiclib.api.career.job.hits.inc?jobCode=02030502')");
//			System.out.println("value : "+o);
//
//			o = engine.eval("u_sign('"+params+"')");
//			System.out.println("value : "+o);

		} catch (Exception e) {
			e.printStackTrace();
		}

		String requestPath = "/youzy.dms.basiclib.api.career.job.hits.inc";
		String jobCode = "02030502";
		Map<String,Object> paramMap =new HashMap<>();
		paramMap.put("jobCode",jobCode);
		UsignUtils.getUsign(UsignUtils.getRequestPathAndParam(requestPath,paramMap));
	}

}
